> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Provider Template Approvals

> Retrieve a list of provider template approvals



## OpenAPI

````yaml get /provider_template_approval
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /provider_template_approval:
    get:
      tags:
        - Provider Template Approval
      summary: List Provider Template Approvals
      description: Retrieve a list of provider template approvals
      parameters:
        - name: provider_id
          in: query
          description: Provider ID
          schema:
            type: string
        - name: template_id
          in: query
          description: Template ID
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Provider template approval creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: status
          in: query
          description: Status of provider template approval
          schema:
            type: string
        - name: external_id
          in: query
          description: External ID
          schema:
            type: string
        - name: rejection_reason
          in: query
          description: Rejection reason of provider template approval
          schema:
            type: string
        - name: category
          in: query
          description: Category of provider template approval
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/provider_template_approval'
components:
  schemas:
    provider_template_approval:
      type: object
      properties:
        provider_id:
          type: string
          description: Provider ID
          format: uuid
        template_id:
          type: string
          description: Template ID
          format: uuid
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        created_at:
          type: string
          description: Provider template approval creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        status:
          type: string
          description: Status of provider template approval
          format: public.whatsapp_template_status
          enum:
            - requested
            - in_review
            - approved
            - rejected
        external_id:
          type: string
          description: External ID
          format: text
          nullable: true
        rejection_reason:
          type: string
          description: Rejection reason of provider template approval
          format: text
          nullable: true
        category:
          type: string
          description: Category of provider template approval
          format: text
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````